[xmlsec] add more auto* calls
- From: Aleksey Sanin <aleksey src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [xmlsec] add more auto* calls
- Date: Sat, 25 Sep 2010 04:43:44 +0000 (UTC)
commit 7ce09f741ace0869885ef30bc9da4a14ef408cd3
Author: Aleksey Sanin <aleksey aleksey com>
Date: Fri Sep 24 21:42:51 2010 -0700
add more auto* calls
autogen.sh | 23 ++++++++++++++++-------
1 files changed, 16 insertions(+), 7 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 169d6c9..4d12b4c 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -11,24 +11,29 @@ DIE=0
(autoconf --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have autoconf installed to compile xmlsec."
- echo "Download the appropriate package for your distribution,"
- echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
DIE=1
}
(libtool --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have libtool installed to compile xmlsec."
- echo "Get ftp://alpha.gnu.org/gnu/libtool-1.0h.tar.gz"
- echo "(or a newer version if it is available)"
DIE=1
}
+(autoheader --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoheader installed to compile xmlsec."
+ DIE=1
+}
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile xmlsec."
+ DIE=1
+}
(automake --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have automake installed to compile xmlsec."
- echo "Get ftp://ftp.cygnus.com/pub/home/tromey/automake-1.2d.tar.gz"
- echo "(or a newer version if it is available)"
DIE=1
}
@@ -49,7 +54,11 @@ fi
echo "Running libtoolize..."
libtoolize --copy --force
echo "Running aclocal..."
-aclocal $ACLOCAL_FLAGS
+aclocal --force -I m4
+echo "Running autoheader..."
+autoheader --force
+echo "Running autoconf..."
+autoconf --force
echo "Running automake..."
automake --gnu --add-missing
echo "Running autoconf..."
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]